---
title: "Retrieve Virtual Account Transaction"
source_url: https://docs.rapyd.net/en/retrieve-virtual-account-transaction.html
lang: en
---

# Retrieve Virtual Account Transaction

Retrieve a virtual account transaction and the remitter details.

To retrieve other wallet transactions, see [List Wallet Transactions](https://docs.rapyd.net/en/list-wallet-transactions.md "List Wallet Transactions") and [Get Details of Wallet Transaction](https://docs.rapyd.net/en/retrieve-details-of-wallet-transaction.md "Retrieve Details of Wallet Transaction").

> **Note:**
>
> This endpoint replaces the deprecated endpoint - `GET /v1/issuing/bankaccounts/:virtual_account/transactions/:transaction`
>
> Rapyd no longer supports the deprecated endpoint.

### Parameters

### Request Path Parameters

- - virtual_account
  - ID of the virtual account. String starting with **issuing_**.
- - transaction
  - ID of the transaction, as appears in the array of transactions in the response to [Retrieve Virtual Account History](https://docs.rapyd.net/en/retrieve-virtual-account-history.md "Retrieve Virtual Account History").

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - account_id
  - The actual account number that was assigned to the virtual account when it was created.
- - account_id_type
  - Type of the virtual account number, such as IBAN or CLABE.
- - amount
  - The amount credited to the virtual account, in units of the currency defined in `currency`.
- - created_at
  - Time of creation of the transaction, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - created_at_gw
  - Time of the transfer.
- - currency
  - The currency credited to the virtual account. Three-letter ISO 4217 code.

    - **Transactions without FX** - The currency sent by the sender.
    - **FX transactions** - Determined by `requested_currency` in the virtual account.
- - ewallet
  - ID of the Rapyd Wallet that the virtual account is attached to. String starting with **ewallet_**.
- - fx_rate
  - Currency conversion rate for the transaction.
- - id
  - ID of the virtual account transaction. String starting with **isutran_**.
- - original_amount
  - The amount sent by the sender to the virtual account, in units of the currency defined in `original_currency`.
- - original_currency
  - The currency sent by the sender to the virtual account. Three-letter ISO 4217 code.
- - partner_transaction_id
  - ID that is assigned by the client to the transaction.
- - remitter_reference
  - Information that the remitter adds to the transaction, intended for the beneficiary. Supported by some payment methods.

    > **Note:**
    >
    > In production, the `remitter_information` fields are sometimes unavailable.
- - sender_account_name
  - Name of the remitter's bank account holder.
- - sender_account_number
  - Number of the remitter's bank account.
- - sender_bank_code
  - Remitter's bank identifier code, such as SWIFT, BIC, or ABA.
- - sender_bank_name
  - Name of the remitter's bank.
- - sender_iban
  - IBAN of the remitter's account.
- - sender_sort_code
  - Reserved.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {

                      string bankAccount = "issuing_b1dcb7ceedb740200f7656cfa191f47d";
                      string transaction = "isutran_38be3b9c019f337a5a12bd47eb0fd3bd";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/virtual_accounts/{bankAccount}/transactions/{transaction}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('../../../../Utilities/JS/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d/transactions/isutran_38be3b9c019f337a5a12bd47eb0fd3bd'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/code_race_2020/Utilities/PHP/utilities.php";
      include($path);
      try {
          $object = make_request('get', '/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d/transactions/isutran_38be3b9c019f337a5a12bd47eb0fd3bd');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      results = make_request(method='get',
                             path=f'/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d/transactions/isutran_38be3b9c019f337a5a12bd47eb0fd3bd')
      pprint(results)
      ```

- /v1/virtual_accounts/:virtual_account/transactions/:transaction

- Retrieve Virtual Account Transaction
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/virtual_accounts/issuing_59fd68cb3837f632abdcb5ddaa75045b/transactions/isutran_5ac346053c6b65b3bdcf4baa7aad67c0' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "3b171f05-de23-4d2e-9098-b16579611f4b"
      },
      "data": {
          "id": "isutran_5ac346053c6b65b3bdcf4baa7aad67c0",
          "ewallet": "ewallet_b16ab040e51deda7f6a786862bd3fe7b",
          "account_id": "4010299991035202",
          "account_id_type": "account_number",
          "amount": 1,
          "currency": "IDR",
          "original_amount": 1,
          "original_currency": "IDR",
          "fx_rate": 1,
          "created_at": 1677495859,
          "remitter_reference": "Testing purpose",
          "partner_transaction_id": "T85SWIC025327",
          "created_at_gw": "2023-02-27T11:04:19.000Z",
          "sender_iban": "DK5000400440116243",
          "sender_account_name": "John Doe",
          "sender_sort_code": "23434",
          "sender_account_number": "1234567",
          "sender_bank_code": "233434",
          "sender_bank_name": "U Bank"
      }
  }
  ```
